Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Websphere MQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.webspheremqadapter.message
Class GMO

    java.lang.Object
      com.ibm.mq.MQGetMessageOptions
          com.stc.connector.webspheremqadapter.message.GMO

All Implemented Interfaces:
  IGMO

    public class GMO

extends com.ibm.mq.MQGetMessageOptions
implements IGMO

This class subclasses `MQGetMessageOptions` to provide mutators to MQGetMessageOption's public fields, so that they can be manipulated in the eGate Java Collaboration Editor (which does not permit direct access to public fields). This class is exposed as part of the eWay OTD(s).

Also, unlike MQGetMessageOptions, a new GMO object's options defaults to `MQGMO_NONE`, not `MQGMO_NO_WAIT`.

Version:
  $Revision: 1.4 $
See Also:
  `com.stc.connector.webspheremqadapter.message.MQOtd`

Field Summary

Fields inherited from class com.ibm.mq.MQGetMessageOptions
`groupStatus, matchOptions, options, resolvedQueueName, segmentation, segmentStatus, waitInterval`

Constructor Summary
`GMO()` Create a GMO object.

Method Summary
`java.lang.String` | `getResolvedQueueName()` Provide access to the content of the output field `MQGetMessageOptions.resolvedQueueName`.
`char` | `getSegmentation()` Provides access to the content of the output field `MQGetMessageOptions.segmentation`.
`char` | `getSegmentationStatus()` Provides access to the content of the output field `MQGetMessageOptions.segmentation`.
`int` | `getWaitValue()` Retrieve the value of the `MQGetMessageOptions.waitInterval` variable.
`boolean` | `isMessageInGroup()` Determine whether or not the output field `MQGetMessageOptions.groupStatus` specifies the retrieved message is in a group.
`boolean` | `isMessageLastInGroup()` Determine whether or not the output field {@link com.ibm.mq.MQGetMessageOptions#groupStatus) indicates that the retrieved message is in a group and it is the last message in the group.
`void` | `matchOptionsClearAll()` Clear all match options set so far and set match options to MQMO_NONE.
`void` | `optionsClearAll()` Clear all option flags set so far and reset options to MQGMO_NONE.
`void` | `setMQGMO_ACCEPT_TRUNCATED_MSG(boolean bSet)` Set or unset the MGC.MQGMO_ACCEPT_TRUNCATED_MSG option.
`void` | `setMQGMO_ALL_MSGS_AVAILABLE(boolean bSet)` Set or unset the MGC.MQGMO_ALL_MSGS_AVAILABLE option.
`void` | `setMQGMO_ALL_SEGMENTS_AVAILABLE(boolean bSet)` Set or unset the MGC.MQGMO_ALL_SEGMENTS_AVAILABLE option.
`void` | `setMQGMO_BROWSE_FIRST(boolean bSet)` Set or unset the MGC.MQGMO_BROWSE_FIRST option.
`void` | `setMQGMO_BROWSE_MSG_UNDER_CURSOR(boolean bSet)` Set or unset the MGC.MQGMO_BROWSE_MSG_UNDER_CURSOR option.
`void` | `setMQGMO_BROWSE_NEXT(boolean bSet)` Set or unset the MGC.MQGMO_BROWSE_NEXT option.
`void` | `setMQGMO_COMPLETE_MSG(boolean bSet)` Set or unset the MGC.MQGMO_COMPLETE_MSG option.
`void` | `setMQGMO_CONVERT(boolean bSet)` Set or unset the MGC.MQGMO_CONVERT option.
`void` | `setMQGMO_FAIL_IF_QUIESCING(boolean bSet)` Set or unset the MGC.MQGMO_FAIL_IF_QUIESCING option.
`void` | `setMQGMO_LOCK(boolean bSet)` Set or unset the MGC.MQGMO_LOCK option.
`void` | `setMQGMO_LOGICAL_ORDER(boolean bSet)` Set or unset the MGC.MQGMO_LOGICAL_ORDER option.
`void` | `setMQGMO_MARK_SKIP_BACKOUT(boolean bSet)` Set or unset the MGC.MQGMO_MARK_SKIP_BACKOUT option.
`void` | `setMQGMO_MSG_UNDER_CURSOR(boolean bSet)` Set or unset the MGC.MQGMO_MSG_UNDER_CURSOR option.
`void` | `setMQGMO_NO_SYNCPOINT(boolean bSet)` Set or unset the MGC.MQGMO_NO_SYNCPOINT option.
`void` | `setMQGMO_NO_WAIT(boolean bSet)` Set or unset the MGC.MQGMO_NO_WAIT option.
`void` | `setMQGMO_NONE(boolean bSet)` Set or unset the MGC.MQGMO_NONE option.
`void` | `setMQGMO_SYNCPOINT_IF_PERSISTENT(boolean bSet)` Set or unset the MGC.MQGMO_SYNCPOINT_IF_PERSISTENT option.
`void` | `setMQGMO_SYNCPOINT(boolean bSet)` Set or unset the MGC.MQGMO_SYNCPOINT option.
`void` | `setMQGMO_UNLOCK(boolean bSet)` Set or unset the MGC.MQGMO_UNLOCK option.
`void` | `setMQGMO_WAIT(boolean bSet)` Set or unset the MGC.MQGMO_WAIT option.
`void` | `setMQMO_MATCH_CORREL_ID(boolean bSet)` Set or unset the MGC.MQMO_MATCH_CORREL_ID option.
`void` | `setMQMO_MATCH_GROUP_ID(boolean bSet)` Set or unset the MGC.MQMO_MATCH_GROUP_ID option.
`void` | `setMQMO_MATCH_MSG_ID(boolean bSet)` Set or unset the MGC.MQMO_MATCH_MSG_ID option.
`void` | `setMQMO_MATCH_MSG_SEQ_NUMBER(boolean bSet)` Set or unset the MGC.MQMO_MATCH_MSG_SEQ_NUMBER option.
`void` | `setMQMO_NONE(boolean bSet)` Set or unset the MGC.MQMO_NONE option.
`void` | `setUnlimitedWait()` Specify an unlimited time for a get call to wait for a suitable message to arrive.
`void` | `setWaitValue(int ms)` Affects the `MQGetMessageOptions.waitInterval` variable.

Methods inherited from class com.ibm.mq.MQGetMessageOptions
`readFrom, writeTo`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GMO

    public GMO()

  Create a GMO object.

  See Also:
    `MQGetMessageOptions.MQGetMessageOptions()`

Method Detail

### setWaitValue

    public void setWaitValue(int ms)

  Affects the `MQGetMessageOptions.waitInterval` variable. The maximum time (in milliseconds) that an MQQueue.get call waits for a suitable message to arrive (used in conjunction with MQC.MQGMO_WAIT). A value of MQC.MQWI_UNLIMITED indicates that an unlimited wait is required.

  Specified by:
    `setWaitValue` in interface `IGMO`
  Parameters:
    `ms` - # of milliseconds for a get call to wait.
  See Also:
    `MQGetMessageOptions.waitInterval`

### getWaitValue

    public int getWaitValue()

  Retrieve the value of the `MQGetMessageOptions.waitInterval` variable.

  Specified by:
    `getWaitValue` in interface `IGMO`
  Returns:
    `int` - Returns the variable value.
  Throws:
    None.

### setUnlimitedWait

    public void setUnlimitedWait()

  Specify an unlimited time for a get call to wait for a suitable message to arrive.

  Specified by:
    `setUnlimitedWait` in interface `IGMO`
  See Also:
    `MQGetMessageOptions.waitInterval`

### optionsClearAll

    public void optionsClearAll()

  Clear all option flags set so far and reset options to MQGMO_NONE.

  Specified by:
    `optionsClearAll` in interface `IGMO`
  See Also:
    `MQGetMessageOptions.options`

### matchOptionsClearAll

    public void matchOptionsClearAll()

  Clear all match options set so far and set match options to MQMO_NONE.

  Specified by:
    `matchOptionsClearAll` in interface `IGMO`
  See Also:
    `MQGetMessageOptions.matchOptions`

### setMQGMO_NONE

    public void setMQGMO_NONE(boolean bSet)

  Set or unset the MGC.MQGMO_NONE option.

  Specified by:
    `setMQGMO_NONE` in interface `IGMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_WAIT

    public void setMQGMO_WAIT(boolean bSet)

  Set or unset the MGC.MQGMO_WAIT option.

  Specified by:
    `setMQGMO_WAIT` in interface `IGMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_NO_WAIT

    public void setMQGMO_NO_WAIT(boolean bSet)

  Set or unset the MGC.MQGMO_NO_WAIT option.

  Specified by:
    `setMQGMO_NO_WAIT` in interface `IGMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_SYNCPOINT

    public void setMQGMO_SYNCPOINT(boolean bSet)

  Set or unset the MGC.MQGMO_SYNCPOINT option.

  Specified by:
    `setMQGMO_SYNCPOINT` in interface `IGMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_NO_SYNCPOINT

    public void setMQGMO_NO_SYNCPOINT(boolean bSet)

  Set or unset the MGC.MQGMO_NO_SYNCPOINT option.

  Specified by:
    `setMQGMO_NO_SYNCPOINT` in interface `IGMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_BROWSE_FIRST

    public void setMQGMO_BROWSE_FIRST(boolean bSet)

  Set or unset the MGC.MQGMO_BROWSE_FIRST option.

  Specified by:
    `setMQGMO_BROWSE_FIRST` in interface `IGMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_BROWSE_NEXT

    public void setMQGMO_BROWSE_NEXT(boolean bSet)

  Set or unset the MGC.MQGMO_BROWSE_NEXT option.

  Specified by:
    `setMQGMO_BROWSE_NEXT` in interface `IGMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_BROWSE_MSG_UNDER_CURSOR

    public void setMQGMO_BROWSE_MSG_UNDER_CURSOR(boolean bSet)

  Set or unset the MGC.MQGMO_BROWSE_MSG_UNDER_CURSOR option.

  Specified by:
    `setMQGMO_BROWSE_MSG_UNDER_CURSOR` in interface `IGMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_LOCK

    public void setMQGMO_LOCK(boolean bSet)

  Set or unset the MGC.MQGMO_LOCK option.

  Specified by:
    `setMQGMO_LOCK` in interface `IGMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_UNLOCK

    public void setMQGMO_UNLOCK(boolean bSet)

  Set or unset the MGC.MQGMO_UNLOCK option.

  Specified by:
    `setMQGMO_UNLOCK` in interface `IGMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_ACCEPT_TRUNCATED_MSG

    public void setMQGMO_ACCEPT_TRUNCATED_MSG(boolean bSet)

  Set or unset the MGC.MQGMO_ACCEPT_TRUNCATED_MSG option.

  Specified by:
    `setMQGMO_ACCEPT_TRUNCATED_MSG` in interface `IGMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_FAIL_IF_QUIESCING

    public void setMQGMO_FAIL_IF_QUIESCING(boolean bSet)

  Set or unset the MGC.MQGMO_FAIL_IF_QUIESCING option.

  Specified by:
    `setMQGMO_FAIL_IF_QUIESCING` in interface `IGMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_CONVERT

    public void setMQGMO_CONVERT(boolean bSet)

  Set or unset the MGC.MQGMO_CONVERT option.

  Specified by:
    `setMQGMO_CONVERT` in interface `IGMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_SYNCPOINT_IF_PERSISTENT

    public void setMQGMO_SYNCPOINT_IF_PERSISTENT(boolean bSet)

  Set or unset the MGC.MQGMO_SYNCPOINT_IF_PERSISTENT option.

  Specified by:
    `setMQGMO_SYNCPOINT_IF_PERSISTENT` in interface `IGMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_MARK_SKIP_BACKOUT

    public void setMQGMO_MARK_SKIP_BACKOUT(boolean bSet)

  Set or unset the MGC.MQGMO_MARK_SKIP_BACKOUT option.

  Specified by:
    `setMQGMO_MARK_SKIP_BACKOUT` in interface `IGMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_MSG_UNDER_CURSOR

    public void setMQGMO_MSG_UNDER_CURSOR(boolean bSet)

  Set or unset the MGC.MQGMO_MSG_UNDER_CURSOR option.

  Specified by:
    `setMQGMO_MSG_UNDER_CURSOR` in interface `IGMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_LOGICAL_ORDER

    public void setMQGMO_LOGICAL_ORDER(boolean bSet)

  Set or unset the MGC.MQGMO_LOGICAL_ORDER option.

  Specified by:
    `setMQGMO_LOGICAL_ORDER` in interface `IGMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_COMPLETE_MSG

    public void setMQGMO_COMPLETE_MSG(boolean bSet)

  Set or unset the MGC.MQGMO_COMPLETE_MSG option.

  Specified by:
    `setMQGMO_COMPLETE_MSG` in interface `IGMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_ALL_MSGS_AVAILABLE

    public void setMQGMO_ALL_MSGS_AVAILABLE(boolean bSet)

  Set or unset the MGC.MQGMO_ALL_MSGS_AVAILABLE option.

  Specified by:
    `setMQGMO_ALL_MSGS_AVAILABLE` in interface `IGMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_ALL_SEGMENTS_AVAILABLE

    public void setMQGMO_ALL_SEGMENTS_AVAILABLE(boolean bSet)

  Set or unset the MGC.MQGMO_ALL_SEGMENTS_AVAILABLE option.

  Specified by:
    `setMQGMO_ALL_SEGMENTS_AVAILABLE` in interface `IGMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQMO_MATCH_MSG_ID

    public void setMQMO_MATCH_MSG_ID(boolean bSet)

  Set or unset the MGC.MQMO_MATCH_MSG_ID option.

  Specified by:
    `setMQMO_MATCH_MSG_ID` in interface `IGMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQGetMessageOptions.matchOptions`

### setMQMO_MATCH_CORREL_ID

    public void setMQMO_MATCH_CORREL_ID(boolean bSet)

  Set or unset the MGC.MQMO_MATCH_CORREL_ID option.

  Specified by:
    `setMQMO_MATCH_CORREL_ID` in interface `IGMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQGetMessageOptions.matchOptions`

### setMQMO_MATCH_GROUP_ID

    public void setMQMO_MATCH_GROUP_ID(boolean bSet)

  Set or unset the MGC.MQMO_MATCH_GROUP_ID option.

  Specified by:
    `setMQMO_MATCH_GROUP_ID` in interface `IGMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQGetMessageOptions.matchOptions`

### setMQMO_MATCH_MSG_SEQ_NUMBER

    public void setMQMO_MATCH_MSG_SEQ_NUMBER(boolean bSet)

  Set or unset the MGC.MQMO_MATCH_MSG_SEQ_NUMBER option.

  Specified by:
    `setMQMO_MATCH_MSG_SEQ_NUMBER` in interface `IGMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQGetMessageOptions.matchOptions`

### setMQMO_NONE

    public void setMQMO_NONE(boolean bSet)

  Set or unset the MGC.MQMO_NONE option.

  Specified by:
    `setMQMO_NONE` in interface `IGMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQGetMessageOptions.matchOptions`

### getResolvedQueueName

    public java.lang.String getResolvedQueueName()

  Provide access to the content of the output field `MQGetMessageOptions.resolvedQueueName`.

  Specified by:
    `getResolvedQueueName` in interface `IGMO`
  Returns:
    `String` - Returns the content of the output field.
  Throws:
    None.

### getSegmentation

    public char getSegmentation()

  Provides access to the content of the output field `MQGetMessageOptions.segmentation`.

  Specified by:
    `getSegmentation` in interface `IGMO`
  Returns:
    `char` - Returns the content of the output field.
  Throws:
    None.

### getSegmentationStatus

    public char getSegmentationStatus()

  Provides access to the content of the output field `MQGetMessageOptions.segmentation`.

  Specified by:
    `getSegmentationStatus` in interface `IGMO`
  Returns:
    `char` - Returns the content of the output field.
  Throws:
    None.

### isMessageInGroup

    public boolean isMessageInGroup()

  Determine whether or not the output field `MQGetMessageOptions.groupStatus` specifies the retrieved message is in a group.

  Specified by:
    `isMessageInGroup` in interface `IGMO`
  Returns:
    `Boolean` - Returns true if the output field is in the group; false otherwise.
  Throws:
    None.
  See Also:
    `com.ibm.mq.MQC.MQGS_NOT_IN_GROUP`

### isMessageLastInGroup

    public boolean isMessageLastInGroup()

  Determine whether or not the output field {@link com.ibm.mq.MQGetMessageOptions#groupStatus) indicates that the retrieved message is in a group and it is the last message in the group.

  Specified by:
    `isMessageLastInGroup` in interface `IGMO`
  Returns:
    `true` if the message is in the group, and it is the last message in the group; `false` indicates the message is in the group, but is not the last message in the group.

Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Websphere MQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.